Update a customer
PATCH/v1/express/{expressCustomerId}
Updates a customer’s properties such as name or other metadata. All fields are optional - only provided fields will be updated.
Update a customer
curl https://api.avarasoftware.com/v1/express/$EXPRESS_CUSTOMER_ID \
-X PATCH \
-H "Authorization: Bearer $AVARA_API_KEY"{
"createdAt": "2024-01-15T09:00:00Z",
"expressCustomerId": "cus_1234567890abcdef1234567890abcdef",
"expressCustomerName": "City Medical Center - Radiology Department",
"isActive": true,
"updatedAt": "2024-03-15T14:20:00Z",
"userCount": 15,
"createdByApiKeyId": "550e8400-e29b-41d4-a716-446655440000",
"createdByUserId": "usr_1234567890abcdef1234567890abcdef",
"metadata": {
"department": "radiology",
"region": "northeast"
}
}Returns Examples
{
"createdAt": "2024-01-15T09:00:00Z",
"expressCustomerId": "cus_1234567890abcdef1234567890abcdef",
"expressCustomerName": "City Medical Center - Radiology Department",
"isActive": true,
"updatedAt": "2024-03-15T14:20:00Z",
"userCount": 15,
"createdByApiKeyId": "550e8400-e29b-41d4-a716-446655440000",
"createdByUserId": "usr_1234567890abcdef1234567890abcdef",
"metadata": {
"department": "radiology",
"region": "northeast"
}
}